> ## Documentation Index
> Fetch the complete documentation index at: https://markdown2pdf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Output

> Retrieve the output of a document generation job. This endpoint provides the final output of the document generation process, which may include a URL to download the generated document.



## OpenAPI

````yaml get /job/{job_id}/output
openapi: 3.0.1
info:
  title: markdown2pdf
  version: '2025-06-10T15:55:31Z'
servers:
  - url: https://api.markdown2pdf.ai
security: []
paths:
  /job/{job_id}/output:
    get:
      summary: Get Document Output
      description: >-
        Retrieve the output of a document generation job. This endpoint provides
        the final output of the document generation process, which may include a
        URL to download the generated document.
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            The output of the document generation job, which may include a URL
            to download the generated document.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentGenerationJobOutput'
        '404':
          description: >-
            The provided job_id was not found or the user does not have access
            to the job.
          content: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentGenerationJobOutput:
      title: DocumentGenerationJobOutput
      type: object
      properties:
        url:
          title: Url
          type: string
          nullable: true
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
                format: int32
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string

````